karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré (JIRA) <j...@apache.org>
Subject [jira] [Commented] (KARAF-3362) Version for Jetty in standard features is wrong.
Date Tue, 18 Nov 2014 14:52:34 GMT

    [ https://issues.apache.org/jira/browse/KARAF-3362?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14216245#comment-14216245
] 

Jean-Baptiste Onofré commented on KARAF-3362:
---------------------------------------------

I got your point: you mean using directly jetty 8, not necessarily wrapped with pax-web.

I will add this.

> Version for Jetty in standard features is wrong.
> ------------------------------------------------
>
>                 Key: KARAF-3362
>                 URL: https://issues.apache.org/jira/browse/KARAF-3362
>             Project: Karaf
>          Issue Type: Bug
>          Components: karaf-feature
>    Affects Versions: 4.0.0.M1
>            Reporter: Daniel Kulp
>            Assignee: Jean-Baptiste Onofré
>             Fix For: 4.0.0
>
>
> In the standard-4.0.0.M1 features file for Karaf 4, the Jetty version for the jetty feature
is listed as 8.1.9.v20130131.   However, it just depends on pax-jetty which pulls in 9.0.7.v20131107.
> There are two problems:
> 1) Some applications (CXF/Camel) need Jetty 8.x so having a feature that would properly
install 8.x would be useful.  
> 2) If it's installing 9.x, it should have that version properly specified.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message